package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.*;

import java.util.ArrayList;
import java.util.List;


public class GameDecorator {
    private Game game;
    private List<IsObserver> listener = new ArrayList<>();

    public GameDecorator (Game game) {
        this.game = game;
    }

    public void saveGame(String points1, String points2, Place place){
        game.setPoints1(Integer.parseInt(points1));
        game.setPoints2(Integer.parseInt(points2));
        game.setPlace(place);
    }

    public String getPoints1() {
       return String.valueOf(game.getPoints1());
    }

    public String getPoints2() {
        return String.valueOf(game.getPoints2());
    }

    public String getParticipantOne() {
        if (game.getParticipant1() != null) {
            return game.getParticipant1().toString();
        }
        return "1";
    }

    public String getParticipantTwo() {
        if (game.getParticipant2() != null) {
            return game.getParticipant2().toString();
        }
        return "2";
    }

    public Place getLocation() {
        return game.getPlace();
    }
}
